Bug 1569836 (CVE-2018-10119)

Summary: CVE-2018-10119 libreoffice: Use-after-free in sdstor/stgstrms.cxx:StgSmallStrm class allows for denial of service with crafted document
Product: [Other] Security Response Reporter: Sam Fowler <sfowler>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: caolanm, dtardon, erack, mst.misc, sbergman
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: libreoffice 5.4.5.1, libreoffice 6.0.1.1 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-06-10 10:20:16 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1569837, 1570487, 1570488    
Bug Blocks: 1569838    

Description Sam Fowler 2018-04-20 05:02:39 UTC
LibreOffice before versions 5.4.5.1 and 6.0.1.1 is vulnerable to an integer overflow resulting in a write to recently freed data in the StgSmallStrm class from sot/source/sdstor/stgstrms.cxx. An attacker could exploit this to cause a denial of service or other unspecified impact via a crafted document.


External Reference:

https://www.libreoffice.org/about-us/security/advisories/cve-2018-10119/


Additional Reference:

https://bugs.chromium.org/p/oss-fuzz/issues/detail?id=5747


Upstream Patches:

https://gerrit.libreoffice.org/gitweb?p=core.git;a=commit;h=fdd41c995d1f719e92c6f083e780226114762f05
https://gerrit.libreoffice.org/#/c/48751/
https://gerrit.libreoffice.org/#/c/48756/
https://gerrit.libreoffice.org/#/c/48757/
https://gerrit.libreoffice.org/#/c/48758/

Comment 1 Sam Fowler 2018-04-20 05:03:40 UTC
Created libreoffice tracking bugs for this issue:

Affects: fedora-26 [bug 1569837]

Comment 4 errata-xmlrpc 2018-10-30 07:25:23 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2018:3054 https://access.redhat.com/errata/RHSA-2018:3054